<template>
  <v-text-field
    :label="label"
    v-bind:value="value"
    outlined
    :rules="rules"
    :type="type"
    @input="$emit('input', $event)"
    v-mask="mask"
    :disabled="disabled"
  ></v-text-field>
</template>

<script>
export default {
  name: "Input",
  props: ["value", "required", "label", "mask", "rules", "type", "disabled"],
};
</script>
